Bug 630687 - (CVE-2010-3077, CVE-2010-3694) CVE-2010-3077 CVE-2010-3694 Horde: multiple flaws correct in 3.3.9
CVE-2010-3077 CVE-2010-3694 Horde: multiple flaws correct in 3.3.9
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100906,reported=20100906,sou...
: Security
Depends On: 630689
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-06 14:06 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 22:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-06 14:06:42 EDT
Moritz Naumann reported:
  [1] http://seclists.org/fulldisclosure/2010/Sep/82

a deficiency in the way Horde framework sanitized user-provided
'subdir' parameter, when composing final path to the image file.
A remote, unauthenticated user could use this flaw to conduct
cross-site scripting attacks (execute arbitrary HTML or scripting
code) by providing a specially-crafted URL to the running
Horde framework instance.

Upstream patch:
  [2] http://git.horde.org/diff.php/horde/util/icon_browser.php?rt=horde-git&r1=a978a35c3e95e784253508fd4333d2fbb64830b6&r2=9342addbd2b95f184f230773daa4faf5ef6d65e9

Sample public URL by Moritz to demonstrate the issue:
  [3] [path_to_horde]/util/icon_browser.php?subdir=<body onload="alert('XSS')">&app=horde
Comment 1 Jan Lieskovsky 2010-09-06 14:10:05 EDT
This issue affects the versions of the horde package, as shipped 
with Fedora release of 12 and 13.

(the relevant row is slightly different in Fedora Horde versions:

 if (($subdir = basename(Util::getFormData('subdir')))) {

), but the XSS is possible (verified on both versions).

Please fix.
Comment 2 Jan Lieskovsky 2010-09-06 14:21:36 EDT
CVE Request:
[4] http://www.openwall.com/lists/oss-security/2010/09/06/2
Comment 3 Jan Lieskovsky 2010-09-06 14:22:55 EDT
Created horde tracking bugs for this issue

Affects: fedora-all [bug 630689]
Comment 4 Jan Lieskovsky 2010-09-08 06:19:55 EDT
The CVE identifier of CVE-2010-3077 has been assigned to this issue.
Comment 5 Vincent Danen 2010-10-07 12:49:27 EDT
Upstream has released a new version of Horde (3.3.9) [1] that corrects the following flaws:

* Fixed XSS vulnerability in util/icon_browser.php (CVE-2010-3077)
* Protected preference forms against CSRF attacks (CVE-2010-3694)

The current version of Horde in Fedora is 3.3.8 and is vulnerable to these flaws.

[1] http://lists.horde.org/archives/announce/2010/000557.html


(Adding CVE-2010-3694 to this bug as CVE-2010-3077 has not yet been fixed)

Note You need to log in before you can comment on or make changes to this bug.